<?php
require_once '../config.php';

if (!isset($_SESSION['admin_logged_in'])) {
    header('Location: login.php');
    exit;
}

// Excel için gerekli başlıkları ayarla
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="taktik_show_basvurular.xls"');
header('Cache-Control: max-age=0');

// Başvuruları getir
$query = "SELECT a.*, s.school_name 
          FROM applications a 
          LEFT JOIN schools s ON a.school_id = s.id 
          WHERE a.is_verified = 1 
          ORDER BY a.created_at DESC";
$applications = $conn->query($query);

// Excel başlığını yaz
echo "<!DOCTYPE html>
<html>
<head>
<meta charset='UTF-8'>
<style>
    td { mso-number-format:'\\@'; } /* Tüm hücreleri metin formatında göster */
</style>
</head>
<body>
<table border='1'>
    <tr>
        <th>ID</th>
        <th>Ad Soyad</th>
        <th>TC No</th>
        <th>Telefon</th>
        <th>Okul</th>
        <th>Sınıf</th>
        <th>Başvuru Tarihi</th>
        <th>Başvuru Türü</th>
    </tr>";

// Verileri yaz
while ($row = $applications->fetch_assoc()) {
    echo "<tr>";
    echo "<td>" . $row['id'] . "</td>";
    echo "<td>" . htmlspecialchars($row['full_name']) . "</td>";
    echo "<td>" . $row['tc_no'] . "</td>";
    echo "<td>" . $row['phone'] . "</td>";
    echo "<td>" . htmlspecialchars($row['school_name']) . "</td>";
    echo "<td>" . $row['class_level'] . "</td>";
    echo "<td>" . date('d.m.Y H:i', strtotime($row['created_at'])) . "</td>";
    echo "<td>" . ($row['is_manual'] ? 'Manuel' : 'Online') . "</td>";
    echo "</tr>";
}

echo "</table></body></html>";
