<?php
require_once 'config.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $fullName = cleanInput($_POST['fullName']);
    $tcNo = cleanInput($_POST['tcNo']);
    $phone = cleanInput($_POST['phone']);
    $school = (int)$_POST['school'];
    $classLevel = cleanInput($_POST['classLevel']);
    
    // TC Kimlik kontrolü
    if (strlen($tcNo) !== 11 || !ctype_digit($tcNo)) {
        echo json_encode(['status' => 'error', 'message' => 'Geçersiz TC Kimlik numarası!']);
        exit;
    }
    
    // Telefon kontrolü
    if (strlen($phone) !== 10 || !ctype_digit($phone)) {
        echo json_encode(['status' => 'error', 'message' => 'Geçersiz telefon numarası!']);
        exit;
    }
    
    // Daha önce başvuru var mı kontrolü
    $check = $conn->query("SELECT id FROM applications WHERE tc_no = '$tcNo' OR phone = '$phone'");
    if ($check->num_rows > 0) {
        echo json_encode(['status' => 'error', 'message' => 'Bu TC veya telefon numarası ile daha önce başvuru yapılmış!']);
        exit;
    }
    
    // Doğrulama kodu oluştur
    $verificationCode = sprintf("%06d", mt_rand(0, 999999));
    
    // SMS şablonunu al
    $template_query = $conn->query("SELECT template_content FROM sms_templates WHERE template_name = 'verification'");
    $template = $template_query->fetch_assoc()['template_content'];
    
    // SMS içeriğini hazırla
    $message = str_replace(
        ['{AD_SOYAD}', '{KOD}'],
        [$fullName, $verificationCode],
        $template
    );
    
    // SMS gönder
    $smsResult = sendSMS('0' . $phone, $message);
    
    if ($smsResult) {
        // Geçici kayıt oluştur
        $stmt = $conn->prepare("INSERT INTO applications (full_name, tc_no, phone, school_id, class_level, verification_code) VALUES (?, ?, ?, ?, ?, ?)");
        $stmt->bind_param("sssiss", $fullName, $tcNo, $phone, $school, $classLevel, $verificationCode);
        
        if ($stmt->execute()) {
            echo json_encode(['status' => 'success', 'message' => 'Doğrulama kodu gönderildi.']);
        } else {
            echo json_encode(['status' => 'error', 'message' => 'Başvuru kaydedilemedi.']);
        }
    } else {
        echo json_encode(['status' => 'error', 'message' => 'SMS gönderilemedi.']);
    }
}
